Skip to main content
GET
Get video job status and result

Authorizations

X-API-KEY
string
header
required

Path Parameters

job_id
string<uuid>
required

Response

Successful Response

job_id
string<uuid>
required

The job ID

status
enum<string>
required

queued, processing, succeeded or failed

Available options:
queued,
processing,
succeeded,
failed
video_id
string<uuid> | null

Can be reused as a reference or source video

url
string | null

Download URL, valid for 24 hours; poll again for a fresh one

duration_ms
integer | null

Output length in milliseconds

width
integer | null

Output width in pixels

height
integer | null

Output height in pixels

model
string | null

Model that generated the video

error
string | null

Why the job failed, when status is failed